Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.installer
Class eGateOtdLibInstaller

    java.lang.Object
      com.stc.swift.installer.eInsightESBOtdLibInstaller
          com.stc.swift.installer.eGateOtdLibInstaller

    public class eGateOtdLibInstaller

extends eInsightESBOtdLibInstaller

Version:
  $Revision: 1.7 $
See Also:
  ``

Field Summary
`static java.lang.String` | `WSDL_TARGET_NAMESPACE_PREFIX`

Fields inherited from class com.stc.swift.installer.eInsightESBOtdLibInstaller
`COLLAB_MESSAGE_INPUT, COLLAB_MESSAGE_OUTPUT, COLLAB_WSDL_PORTTYPE, COLLAB_WSDL_TNS_PREFIX, COLON, JAVA_EXCEPTION_MESSAGE, JAVA_EXCEPTION_MESSAGE_NAME, JAVA_EXCEPTION_STACKTRACE, JAVA_EXCEPTION_TYPE, JAVA_FAULT_NAME, XSD_STRING_TYPE`

Constructor Summary
`eGateOtdLibInstaller()`

Method Summary
`void` | `createWSDLRepObject(com.stc.jce.repository.JavaCollaborationDefinition jcd, java.lang.String definitionName, java.lang.String opName, com.stc.model.common.ObjectTypeDefinition inputOtd, com.stc.model.common.ObjectTypeDefinition outputOtd, com.stc.otd.forest.OtdWood inputMessage, com.stc.otd.forest.OtdWood outputMessage)`
`void` | `installValidationCollabs(java.io.File[] collabs)` Generates a collaboration and installs it in the repository.

Methods inherited from class com.stc.swift.installer.eInsightESBOtdLibInstaller
`calculateOTDNameFromCollabName, createWSDLObject, execute, retrieveCollabOTDNames, setPassword, setRepURL, setUserName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSDL_TARGET_NAMESPACE_PREFIX

    public static final java.lang.String WSDL_TARGET_NAMESPACE_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### eGateOtdLibInstaller

    public eGateOtdLibInstaller()

Method Detail

### installValidationCollabs

    public void installValidationCollabs(java.io.File[] collabs)
                                  throws java.lang.Exception

  Generates a collaboration and installs it in the repository. The collaboration uses the JMS OTD as the input parameter and a SWIFT OTD as the output parameter.

  Overrides:
    `installValidationCollabs` in class `eInsightESBOtdLibInstaller`
  Parameters:
    `collabs` - an array of files representing the collaboration
    `otds` - a map of the otds. The key is the name of the OTD, the value is the ObjectTypeDefinition
    `otdsMeta` - a map of the otd metadata. The key is the name of the OTD, the value is the OTDMetaContainer.
  Throws:
    `java.lang.Exception`

### createWSDLRepObject

    public void createWSDLRepObject(com.stc.jce.repository.JavaCollaborationDefinition jcd,
                                    java.lang.String definitionName,
                                    java.lang.String opName,
                                    com.stc.model.common.ObjectTypeDefinition inputOtd,
                                    com.stc.model.common.ObjectTypeDefinition outputOtd,
                                    com.stc.otd.forest.OtdWood inputMessage,
                                    com.stc.otd.forest.OtdWood outputMessage)
                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.